# Ukazka pokrocileho skriptu pro graficke zpracovani
# Do protokolu lze vlozit zobrazeny graf a uvest vysledky fitu.

set fit errorvariables

#set encoding iso_8859_2 
#kodovani pro stredni a vychodni Evropu
#zkusit odkomentovat, pokud je zobrazeni ceskych znaku problemove 

set title "Graf 1: Men rovnomrnho pohybu"
set xlabel "t [s]"
set ylabel "uraen drha ... s [m]"

#Kvuli rostouci lin. zavislosti vhodne
#umistit legendu vlevo nahoru ...
set key left top

#Modelova funkce s poc. polohou - pokud jde rovnez o merenou, nikoliv presnou hodnotu.
#Zde je to vhodnejsi model nez prima umernost bez abs. clenu!

s(x)= A*x + s0

fit  s(x)  'ukazka_dat_souboru.txt' using 1:2 via A,s0

plot [-.5:5.5] [-0.6:26] \
     s(x) title "Teoretick zvislost", \
     'ukazka_dat_souboru.txt' using 1:2:($1-0.1):($1+.1):($2-.5):($2+.5) with xyerrorbars title "Experimentln body s monou chybou men"

#Zde zadavame pevnou moznou chybu mereni 0,1 s pro cas a 0,5 m pro polohu.
#Jinak lze hodnoty chyby nacist napr. ze 3. a 4. sloupce, tzn. 1:2:($1-$3):($1+$3):($2-$4):($2+$4) .

set print "Zde_jsou_vysledky_2.txt"
print "Mereni rovnomerneho pohybu"
print "FYKOS roc. 16, serie 1, 1.9. 2004."
print "Modelova fce: s(x) = Ax + s0
print " "
print "Koeficient A s chybou:"
print A, " +/- ", A_err, ",   rel. chyba ", abs(A_err/A*100), " %"
print " "
print "Koeficient s0 (poloha v case 0 s) s chybou:"
print s0, " +/- ", s0_err
print "rel. chyba ", abs(s0_err/s0*100), " % ... zde nema smysl"
set print

pause -1

#Pokud je graf pekny, pred ukoncenim <OK> lze pravym tlacitkem mysi v hlavni liste okna grafu otevrit menu, vybrat Options a Copy to clipboard.
#Graf lze potom jako obrazek ze schranky vlozit do MS Wordu, programu IrfanView apod.